org.apache.tinkerpop.gremlin.process.traversal.step.branch

## Class ChooseTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.ChooseTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.branch.ChooseTest.Traversals

- Enclosing class:
    ChooseTest

      public static class ChooseTest.Traversals
      extends ChooseTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.ChooseTest

      `ChooseTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Integer,List<Integer>>` | `get_g_injectX1X_chooseXisX1X__constantX10Xfold__foldX()`
    `Traversal<Integer,List<Integer>>` | `get_g_injectX2X_chooseXisX1X__constantX10Xfold__foldX()`
    `Traversal<Vertex,String>` | `get_g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name()`
    `Traversal<Vertex,String>` | `get_g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name()`
    `Traversal<Vertex,String>` | `get_g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name()`
    `Traversal<Vertex,Object>` | `get_g_V_chooseXout_countX_optionX2L_nameX_optionX3L_ageX()`
    `Traversal<Vertex,String>` | `get_g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name()`
    `Traversal<Vertex,Map<String,String>>` | `get_g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX()`
    `Traversal<Vertex,Map<String,Long>>` | `get_g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.branch.ChooseTest

      `g_injectX1X_chooseXisX1X__constantX10Xfold__foldX, g_injectX2X_chooseXisX1X__constantX10Xfold__foldX, g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name, g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name, g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name, g_V_chooseXout_countX_optionX2L_nameX_optionX3L_ageX, g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name, g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX, g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_V_chooseXout_countX_optionX2L_nameX_optionX3L_ageX

          public Traversal<Vertex,Object> get_g_V_chooseXout_countX_optionX2L_nameX_optionX3L_ageX()

      Specified by:
        `get_g_V_chooseXout_countX_optionX2L_nameX_optionX3L_ageX` in class `ChooseTest`

    - #### get_g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name

          public Traversal<Vertex,String> get_g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name()

      Specified by:
        `get_g_V_chooseXlabel_eqXpersonX__outXknowsX__inXcreatedXX_name` in class `ChooseTest`

    - #### get_g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name

          public Traversal<Vertex,String> get_g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name()

      Specified by:
        `get_g_V_chooseXhasLabelXpersonX_and_outXcreatedX__outXknowsX__identityX_name` in class `ChooseTest`

    - #### get_g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name

          public Traversal<Vertex,String> get_g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name()

      Specified by:
        `get_g_V_chooseXlabelX_optionXblah__outXknowsXX_optionXbleep__outXcreatedXX_optionXnone__identityX_name` in class `ChooseTest`

    - #### get_g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name

          public Traversal<Vertex,String> get_g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name()

      Specified by:
        `get_g_V_chooseXoutXknowsX_count_isXgtX0XX__outXknowsXX_name` in class `ChooseTest`

    - #### get_g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX

          public Traversal<Vertex,Map<String,String>> get_g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX()

      Specified by:
        `get_g_V_hasLabelXpersonX_asXp1X_chooseXoutEXknowsX__outXknowsXX_asXp2X_selectXp1_p2X_byXnameX` in class `ChooseTest`

    - #### get_g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount

          public Traversal<Vertex,Map<String,Long>> get_g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount()

      Specified by:
        `get_g_V_hasLabelXpersonX_chooseXageX__optionX27L__constantXyoungXX_optionXnone__constantXoldXX_groupCount` in class `ChooseTest`

    - #### get_g_injectX1X_chooseXisX1X__constantX10Xfold__foldX

          public Traversal<Integer,List<Integer>> get_g_injectX1X_chooseXisX1X__constantX10Xfold__foldX()

      Specified by:
        `get_g_injectX1X_chooseXisX1X__constantX10Xfold__foldX` in class `ChooseTest`

    - #### get_g_injectX2X_chooseXisX1X__constantX10Xfold__foldX

          public Traversal<Integer,List<Integer>> get_g_injectX2X_chooseXisX1X__constantX10Xfold__foldX()

      Specified by:
        `get_g_injectX2X_chooseXisX1X__constantX10Xfold__foldX` in class `ChooseTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.